import UIKit
import AVKit
import Foundation
import AVFoundation

//ムービーの再生
class ViewController: AVPlayerViewController { //(1)

    //ロード完了時に呼ばれる
    override func viewDidLoad() {
        super.viewDidLoad()
        //背景色の指定
        self.view.backgroundColor = UIColor.blackColor()
        
        //AVプレイヤーの生成(2)
        self.player = makeAvPlayer("sample.mp4")
        
        //ムービーの再生(3)
        self.player!.play()
    }
    
    //AVプレーヤーの生成(2)
    func makeAvPlayer(res: String) -> AVPlayer {
        //NSURLオブジェクトの生成
        let path = NSBundle.mainBundle().pathForResource(res, ofType: "")
        let fileURL = NSURL(fileURLWithPath: path!)

        //AVPlayerItemオブジェクトの生成
        let avAsset = AVURLAsset(URL: fileURL, options: nil)
        let playerItem = AVPlayerItem(asset: avAsset)

        //AVプレイヤーの生成
        return AVPlayer(playerItem: playerItem)
    }
}
